Chess Now! IconChess Now
API ReferenceMatches

Accept a draw request

POST
/api/match/{match_id}/draw/accept

Accepts a pending draw request for an active match.

Triggers the match:game_over ws event to the players and match subscribers.

Path Parameters

match_id*string

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Response Body

application/json

curl -X POST "https://example.com/api/match/string/draw/accept"
{  "success": true,  "data": {    "id": 1,    "createdAt": "2024-01-01T12:00:00Z",    "status": "draw",    "whiteId": "123e4567-e89b-12d3-a456-426614174000",    "blackId": "987e6543-e21b-34d5-a678-426614174000",    "endReason": "draw",    "fen": "rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1",    "pgn": "[Event \"Casual\"]\n[Site \"https://chessnow.angelcmh.com\"]\n[Date \"2024.01.01\"]\n[Round \"0\"]\n[White \"johndoe\"]\n[Black \"janedoe\"]\n[Result \"1/2-1/2\"]\n\n*",    "finishedAt": "2024-01-01T12:02:00Z",    "whitePlayer": {      "id": "123e4567-e89b-12d3-a456-426614174000",      "name": "John Doe",      "username": "johndoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    },    "blackPlayer": {      "id": "987e6543-e21b-34d5-a678-426614174000",      "name": "Jane Doe",      "username": "janedoe",      "createdAt": "2024-01-01T12:00:00Z",      "updatedAt": "2024-01-01T12:00:00Z",      "botOwnerId": null,      "rating": 1200,      "rd": 350,      "vol": 0.06    },    "whiteRatingDiff": 0,    "blackRatingDiff": 0,    "activeDrawRequest": null,    "whiteRequestedDraw": true,    "blackRequestedDraw": true,    "ranked": true  }}